Subject: Re: bug#30846: 26.0.91; debug-watch of kill-all-local-variables triggers 'assertion failed: found == !EQ (blv->defcell, blv->valcell)'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2018 17:23:14 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Noam Postavsky <[email-masked]>, [email-masked]
> Date: Fri, 23 Mar 2018 08:57:13 -0400
> 
> >> > If you feel this is too risky for emacs-26, I wouldn't blame you (this
> >> > is pretty tricky code): while the assertion crashes Emacs, a normal
> >> > build without assertions will likely not notice the problem at all.
> >> > I came up with a test case that catches the problem, but I think that in
> >> > "real" life it's very unlikely to cause a problem.
> >> Should we disable the assertion in emacs-26 then?
> > Do we believe people build a production version with --enable-checking?
> 
> Does that mean you'd rather not install my patch into emacs-26 or are
> you still undecided?

I'm quite sure we shouldn't put this on emacs-26, I was just replying
to Noam's suggestion to remove the assertion.